收藏
回答

[Minium]安卓真机测试对于安卓版本有要求吗?为什么我配置真机测试但是还是打开了IDE真机没反应


配置文件有问题吗?

第一次运行的时候安装了一个叫“微信测试”的apk。接着运行就都在IDE上了,真机没反应

最后一次编辑于  09-24
回答关注问题邀请回答
收藏

2 个回答

  • 恒瑜_Sherlock
    恒瑜_Sherlock
    09-24

    应该是微信客户端的问题,线上版本还没支持 remote debug 推送,可以安装这个测试包尝试一下哈:http://dldir1.qq.com/weixin/android/wechat_0x2700069A_1460.apk

    09-24
    赞同
    回复 1
    • 🍉
      🍉
      09-24
      还是不行报错下图
      09-24
      回复
  • 🍉
    🍉
    09-24


    09-24
    赞同
    回复 4
    • 恒瑜_Sherlock
      恒瑜_Sherlock
      09-25

      这个看起来应该是 uiautomator 的问题,你可以运行一下 minitest -k 获取一下安装 uiautomator apk 的命令,重新安装一下 uiautomator

      $ minitest -k                                                                                                                                                  
      please install apk:
      adb install -r /usr/local/lib/python3.7/site-packages/minium/native/lib/at/bin/AtServerTest.apk
      adb install -r /usr/local/lib/python3.7/site-packages/minium/native/lib/at/bin/AtServer.apk


      09-25
      回复
    • 🍉
      🍉
      09-25回复恒瑜_Sherlock
      这两个apk都安装了,依然不行
      09-25
      回复
    • 曾夏
      曾夏
      09-26

      请输入以下命令看看有无报错:

      adb  shell am instrument -w -r  -e class 'com.tencent.mm.atstub.atserver.StubRunner#testStartServer' com.tencent.mm.atstub.test/android.support.test.runner.AndroidJUnitRunner


      09-26
      回复
    • 🍉
      🍉
      09-30回复曾夏
      报错Error: Argument expected after "com.tencent.mm.atstub.test/android.support.test.runner.AndroidJUnitRunner"
      09-30
      回复
问题标签